[arch-commits] Commit in python-urllib3/repos/extra-any (4 files)

Felix Yan felixonmars at archlinux.org
Sat Jan 21 03:21:02 UTC 2017


    Date: Saturday, January 21, 2017 @ 03:21:01
  Author: felixonmars
Revision: 287058

archrelease: copy trunk to extra-any

Added:
  python-urllib3/repos/extra-any/LICENSE
    (from rev 287057, python-urllib3/trunk/LICENSE)
  python-urllib3/repos/extra-any/PKGBUILD
    (from rev 287057, python-urllib3/trunk/PKGBUILD)
Deleted:
  python-urllib3/repos/extra-any/LICENSE
  python-urllib3/repos/extra-any/PKGBUILD

----------+
 LICENSE  |   64 +++++++++++++-------------
 PKGBUILD |  148 ++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 105 insertions(+), 107 deletions(-)

Deleted: LICENSE
===================================================================
--- LICENSE	2017-01-21 03:20:40 UTC (rev 287057)
+++ LICENSE	2017-01-21 03:21:01 UTC (rev 287058)
@@ -1,32 +0,0 @@
-Note from the ArchLinux Packager:
-The urllib3 source doesn't come with a license file.  Its homepage
-does provide a link to the text of the MIT license, so I copied
-the following text to a file when building the package.
-
-------CUT------
-Open Source Initiative OSI - The MIT License:Licensing
-
-
-[OSI Approved License]
-
-The MIT License
-
-Copyright (c) <year> <copyright holders>
-
-Permission is hereby granted, free of charge, to any person obtaining a copy
-of this software and associated documentation files (the "Software"), to deal
-in the Software without restriction, including without limitation the rights
-to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-copies of the Software, and to permit persons to whom the Software is
-furnished to do so, subject to the following conditions:
-
-The above copyright notice and this permission notice shall be included in
-all copies or substantial portions of the Software.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-THE SOFTWARE.

Copied: python-urllib3/repos/extra-any/LICENSE (from rev 287057, python-urllib3/trunk/LICENSE)
===================================================================
--- LICENSE	                        (rev 0)
+++ LICENSE	2017-01-21 03:21:01 UTC (rev 287058)
@@ -0,0 +1,32 @@
+Note from the ArchLinux Packager:
+The urllib3 source doesn't come with a license file.  Its homepage
+does provide a link to the text of the MIT license, so I copied
+the following text to a file when building the package.
+
+------CUT------
+Open Source Initiative OSI - The MIT License:Licensing
+
+
+[OSI Approved License]
+
+The MIT License
+
+Copyright (c) <year> <copyright holders>
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+THE SOFTWARE.

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-01-21 03:20:40 UTC (rev 287057)
+++ PKGBUILD	2017-01-21 03:21:01 UTC (rev 287058)
@@ -1,75 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Patrice Peterson <runiq at archlinux dot us>
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-# Contributor: BorgHunter <borghunter at gmail dot com>
-
-pkgbase=python-urllib3
-pkgname=(python-urllib3 python2-urllib3 python-urllib3-doc)
-pkgver=1.19.1
-pkgrel=2
-pkgdesc="HTTP library with thread-safe connection pooling and file post support"
-arch=("any")
-url="https://github.com/shazow/urllib3"
-license=("MIT")
-makedepends=('python-setuptools' 'python2-setuptools' 'python2-sphinx' 'python-ndg-httpsclient'
-             'python2-ndg-httpsclient' 'python-pyasn1' 'python2-pyasn1' 'python-pyopenssl'
-             'python2-pyopenssl' 'python-pysocks' 'python2-pysocks' 'python-mock' 'python2-mock'
-             'git')
-checkdepends=('python-nose' 'python2-nose' 'python-tornado' 'python2-tornado' 'python-coverage'
-              'python2-coverage')
-source=("git+https://github.com/shazow/urllib3.git#tag=$pkgver")
-md5sums=('SKIP')
-
-prepare() {
-  cp -a urllib3{,-py2}
-}
-
-build() {
-  cd "$srcdir"/urllib3
-  python setup.py build
-
-  cd "$srcdir"/urllib3-py2
-  python2 setup.py build
-
-  # Build with Python 2 since autodoc produces errors on Python 3
-  cd "$srcdir"/urllib3/docs
-  make SPHINXBUILD=sphinx-build2 html
-}
-
-check() {
-  # Failures are related to missing SSLv3
-
-  cd "$srcdir"/urllib3
-  nosetests3 || warning "Tests failed"
-
-  cd "$srcdir"/urllib3-py2
-  nosetests2 || warning "Tests failed"
-}
-
-package_python-urllib3() {
-  depends=('python')
-  optdepends=('python-pysocks: SOCKS support')
-
-  cd urllib3
-  python setup.py install --root="$pkgdir"
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-}
-
-package_python2-urllib3() {
-  depends=('python2')
-  optdepends=('python2-pysocks: SOCKS support')
-
-  cd urllib3-py2
-  python2 setup.py install --root="$pkgdir"
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-}
-
-package_python-urllib3-doc() {
-  pkgdesc="urllib3 Documentation"
-
-  cd urllib3/docs
-  install -d "$pkgdir"/usr/share/doc
-  cp -r _build/html "$pkgdir"/usr/share/doc/python-urllib3
-  install -Dm644 ../LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-}

Copied: python-urllib3/repos/extra-any/PKGBUILD (from rev 287057, python-urllib3/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-01-21 03:21:01 UTC (rev 287058)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Patrice Peterson <runiq at archlinux dot us>
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+# Contributor: BorgHunter <borghunter at gmail dot com>
+
+pkgbase=python-urllib3
+pkgname=(python-urllib3 python2-urllib3 python-urllib3-doc)
+pkgver=1.20
+pkgrel=1
+pkgdesc="HTTP library with thread-safe connection pooling and file post support"
+arch=("any")
+url="https://github.com/shazow/urllib3"
+license=("MIT")
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-sphinx' 'python-ndg-httpsclient'
+             'python2-ndg-httpsclient' 'python-pyasn1' 'python2-pyasn1' 'python-pyopenssl'
+             'python2-pyopenssl' 'python-pysocks' 'python2-pysocks' 'python-mock' 'python2-mock'
+             'git')
+checkdepends=('python-nose' 'python2-nose' 'python-tornado' 'python2-tornado' 'python-coverage'
+              'python2-coverage' 'python-psutil' 'python2-psutil')
+source=("git+https://github.com/shazow/urllib3.git#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cp -a urllib3{,-py2}
+}
+
+build() {
+  cd "$srcdir"/urllib3
+  python setup.py build
+
+  cd "$srcdir"/urllib3-py2
+  python2 setup.py build
+
+  # Build with Python 2 since autodoc produces errors on Python 3
+  cd "$srcdir"/urllib3/docs
+  make SPHINXBUILD=sphinx-build2 html
+}
+
+check() {
+  cd "$srcdir"/urllib3
+  nosetests3 || warning "Tests failed"
+
+  cd "$srcdir"/urllib3-py2
+  nosetests2 || warning "Tests failed"
+}
+
+package_python-urllib3() {
+  depends=('python')
+  optdepends=('python-pysocks: SOCKS support')
+
+  cd urllib3
+  python setup.py install --root="$pkgdir"
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-urllib3() {
+  depends=('python2')
+  optdepends=('python2-pysocks: SOCKS support')
+
+  cd urllib3-py2
+  python2 setup.py install --root="$pkgdir"
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python-urllib3-doc() {
+  pkgdesc="urllib3 Documentation"
+
+  cd urllib3/docs
+  install -d "$pkgdir"/usr/share/doc
+  cp -r _build/html "$pkgdir"/usr/share/doc/python-urllib3
+  install -Dm644 ../LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}



More information about the arch-commits mailing list